Skip to content

Sandbox - Create Case

Request

Create a new case.

Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
Bodyapplication/jsonrequired
externalIdstring or null

The external unique identifier of the case.

Default:null
Example:"EXT-12345"
contractstringrequired

The unique identifier of the contract associated with the case.

Example:"CON-001"
priorityinteger, (int32)

The priority of the case:

  • 1 - Critical
  • 2 - High
  • 3 - Moderate
  • 4 - Low
Default:4
Enum:1234
Example:4
classificationstring or null

The pre-classification of the case.

Enum:"incident""change""problem"
Example:"incident"
contactstring, (email)required

The contact email address on the case.

Example:"user@example.com"
shortDescriptionstring, non-emptyrequired

A short description of the case.

Example:"Server is unresponsive"
descriptionstring, non-emptyrequired

A detailed description of the case.

Example:"The production server has been unresponsive since 10:00 AM."
watchListArray of strings, (email)

A list of email addresses to notify when the case is updated.

Default:[]
Example:
[ "watcher1@example.com", "watcher2@example.com" ]
curl -i -X POST \
  https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/cases \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalId": "EXT-12345",
    "contract": "CON-001",
    "priority": 4,
    "classification": "incident",
    "contact": "user@example.com",
    "shortDescription": "Server is unresponsive",
    "description": "The production server has been unresponsive since 10:00 AM.",
    "watchList": [
      "watcher1@example.com",
      "watcher2@example.com"
    ]
  }'

Responses

The created case.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Case)

A customer case.

Response
{ "meta": {}, "data": { "id": "CS0123456", "externalId": "EXT-12345", "contract": "6825d2cf57918d1ca439bb5e", "channel": "api", "priority": 4, "state": 1, "contact": "user@example.com", "shortDescription": "Server is unresponsive", "description": "The production server has been unresponsive since 10:00 AM.", "incident": "INC0001234", "change": "CHG0001234", "problem": "PRB0001234", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z", "closed": null, "resolutionCode": null, "resolutionNotes": null } }